#include<iostream>
using namespace std;
void uneti(int a[], int n)
{
	int br;
	for(int i = 0; i<n; i++)
	{
		cin>>br;
		a[i] = br;
	}
}
int pivot(int a[], int l, int d)
{
	int pivot = a[l];
	int br = 0;
	for(int i = l + 1; i<=d; i++)
	{
		if(a[i] <= pivot)
		{
			br++;
		}
	}
	int pivotbroj = l + br;
	swap(a[pivotbroj], a[l]);
	
	int x = l;
	int j = d;
	while(x < pivotbroj && j > pivotbroj)
	{
		while(a[x] <= pivot)
		{
			x++;
		}
		while(a[j] > pivot)
		{
			j--;
		}
		if(x < pivotbroj && j > pivotbroj)
		{
			swap(a[x++], a[j--]);
		}
	}
	
	return pivotbroj;
}
void sortirati(int a[], int l, int d)
{
	if(l>d)
	{
		return;
	}
	int p = pivot(a, l, d);
	sortirati(a, l, p-1);
	sortirati(a, p+1, d);
}
int medijana(int a[], int b[], int m, int n)
{
	int br = 1;
	int med = b[m];
	int amed;
	if(n%2 == 0)
	{
		amed = a[n/2];
	}
	else amed = a[n/2];
	if(med == amed) return 0;
	else
	{
		n++;
		a[n-1] = med;
		sortirati(a, 0, n-1);
		amed = a[n/2];
		if(med == amed) return br;
		while(med != amed)
		{
			n++;
			br++;
			a[n-1] = med + 1;
			sortirati(a, 0, n-1);
			amed = a[n/2];
		}
	}
	return br;
	
}
int main()
{
	int n, q;
    cin>>n>>q;
	int a[2*n];
	int b[q];
    
    uneti(a, n);
    sortirati(a, 0, n - 1);
    uneti(b, q);
    sortirati(b, 0, q - 1);
    for(int m = 0; m<q; m++)
    {
    	cout<<medijana(a, b, m, n)<<endl;
	}
    
}